From f8be095c95831ae6ffc8426a94901197c0dacc38 Mon Sep 17 00:00:00 2001
From: Jano Svitok <jan.svitok@gmail.com>
Date: Mon, 9 Apr 2018 23:54:50 +0200
Subject: [PATCH] Fix compilation with QT 5.11.0 beta2

---
 fixtureeditor/capabilitywizard.cpp            | 1 +
 fixtureeditor/editchannel.cpp                 | 1 +
 fixtureeditor/edithead.cpp                    | 1 +
 fixtureeditor/editmode.cpp                    | 1 +
 ui/src/aboutbox.cpp                           | 1 +
 ui/src/addfixture.cpp                         | 1 +
 ui/src/chasereditor.cpp                       | 1 +
 ui/src/fixtureselection.cpp                   | 1 +
 ui/src/functionwizard.cpp                     | 1 +
 ui/src/inputchanneleditor.cpp                 | 1 +
 ui/src/selectinputchannel.cpp                 | 1 +
 ui/src/virtualconsole/addvcbuttonmatrix.cpp   | 1 +
 ui/src/virtualconsole/addvcslidermatrix.cpp   | 1 +
 ui/src/virtualconsole/vcbuttonproperties.cpp  | 1 +
 ui/src/virtualconsole/vccuelistproperties.cpp | 2 ++
 ui/src/virtualconsole/vcpropertieseditor.cpp  | 1 +
 ui/src/virtualconsole/vcsliderproperties.cpp  | 1 +
 ui/src/virtualconsole/vcxypadproperties.cpp   | 1 +
 18 files changed, 19 insertions(+)

diff --git a/fixtureeditor/capabilitywizard.cpp b/fixtureeditor/capabilitywizard.cpp
index d77c30fe1..ddb4c5b26 100644
--- a/fixtureeditor/capabilitywizard.cpp
+++ b/fixtureeditor/capabilitywizard.cpp
@@ -21,6 +21,7 @@
 #include <QTextEdit>
 #include <QSpinBox>
 #include <QDialog>
+#include <QAction>
 
 #include "capabilitywizard.h"
 #include "qlccapability.h"
diff --git a/fixtureeditor/editchannel.cpp b/fixtureeditor/editchannel.cpp
index c44097783..9278c31b6 100644
--- a/fixtureeditor/editchannel.cpp
+++ b/fixtureeditor/editchannel.cpp
@@ -32,6 +32,7 @@
 #include <QPainter>
 #include <QPoint>
 #include <QSize>
+#include <QAction>
 
 #include "qlccapability.h"
 #include "qlcconfig.h"
diff --git a/fixtureeditor/edithead.cpp b/fixtureeditor/edithead.cpp
index a95ecf726..68025b70d 100644
--- a/fixtureeditor/edithead.cpp
+++ b/fixtureeditor/edithead.cpp
@@ -20,6 +20,7 @@
 #include <QTreeWidgetItem>
 #include <QTreeWidget>
 #include <QDebug>
+#include <QAction>
 
 #include "qlcfixturehead.h"
 #include "qlcfixturemode.h"
diff --git a/fixtureeditor/editmode.cpp b/fixtureeditor/editmode.cpp
index 440ab4956..5b8b1884f 100644
--- a/fixtureeditor/editmode.cpp
+++ b/fixtureeditor/editmode.cpp
@@ -30,6 +30,7 @@
 #include <QPoint>
 #include <QDebug>
 #include <QSize>
+#include <QAction>
 
 #include "addchannelsdialog.h"
 #include "qlcfixturemode.h"
diff --git a/ui/src/aboutbox.cpp b/ui/src/aboutbox.cpp
index 68ece2d54..9296e566b 100644
--- a/ui/src/aboutbox.cpp
+++ b/ui/src/aboutbox.cpp
@@ -22,6 +22,7 @@
 #include <QTimer>
 #include <QDesktopServices>
 #include <QUrl>
+#include <QAction>
 
 #include "qlcconfig.h"
 #include "aboutbox.h"
diff --git a/ui/src/addfixture.cpp b/ui/src/addfixture.cpp
index dad12f4e6..ae6bc0efc 100644
--- a/ui/src/addfixture.cpp
+++ b/ui/src/addfixture.cpp
@@ -30,6 +30,7 @@
 #include <QSpinBox>
 #include <QLabel>
 #include <QDebug>
+#include <QAction>
 
 #include "qlcfixturedefcache.h"
 #include "qlcfixturemode.h"
diff --git a/ui/src/chasereditor.cpp b/ui/src/chasereditor.cpp
index bd949dcf2..246b71606 100644
--- a/ui/src/chasereditor.cpp
+++ b/ui/src/chasereditor.cpp
@@ -27,6 +27,7 @@
 #include <QSettings>
 #include <QDebug>
 #include <QUrl>
+#include <QAction>
 
 #include "qlcfixturedef.h"
 #include "qlcmacros.h"
diff --git a/ui/src/fixtureselection.cpp b/ui/src/fixtureselection.cpp
index 0954a00a1..30851fa21 100644
--- a/ui/src/fixtureselection.cpp
+++ b/ui/src/fixtureselection.cpp
@@ -21,6 +21,7 @@
 #include <QTreeWidget>
 #include <QHeaderView>
 #include <QLabel>
+#include <QAction>
 
 #include "qlcfixturedef.h"
 
diff --git a/ui/src/functionwizard.cpp b/ui/src/functionwizard.cpp
index 00e7d5a4c..815b20e4c 100644
--- a/ui/src/functionwizard.cpp
+++ b/ui/src/functionwizard.cpp
@@ -21,6 +21,7 @@
 #include <QString>
 #include <QDebug>
 #include <QHash>
+#include <QAction>
 
 #include "palettegenerator.h"
 #include "fixtureselection.h"
diff --git a/ui/src/inputchanneleditor.cpp b/ui/src/inputchanneleditor.cpp
index 6ad638c1f..69b9ca2ae 100644
--- a/ui/src/inputchanneleditor.cpp
+++ b/ui/src/inputchanneleditor.cpp
@@ -21,6 +21,7 @@
 #include <QComboBox>
 #include <QSpinBox>
 #include <QIcon>
+#include <QAction>
 
 #include "qlcchannel.h"
 #include "qlcinputprofile.h"
diff --git a/ui/src/selectinputchannel.cpp b/ui/src/selectinputchannel.cpp
index c07c617fe..72006f2ca 100644
--- a/ui/src/selectinputchannel.cpp
+++ b/ui/src/selectinputchannel.cpp
@@ -21,6 +21,7 @@
 #include <QTreeWidgetItem>
 #include <QTreeWidget>
 #include <QDebug>
+#include <QAction>
 
 #include "selectinputchannel.h"
 #include "qlcinputchannel.h"
diff --git a/ui/src/virtualconsole/addvcbuttonmatrix.cpp b/ui/src/virtualconsole/addvcbuttonmatrix.cpp
index 7ad7160e8..09523bd04 100644
--- a/ui/src/virtualconsole/addvcbuttonmatrix.cpp
+++ b/ui/src/virtualconsole/addvcbuttonmatrix.cpp
@@ -19,6 +19,7 @@
 
 #include <QSettings>
 #include <QDebug>
+#include <QAction>
 
 #include "addvcbuttonmatrix.h"
 #include "functionselection.h"
diff --git a/ui/src/virtualconsole/addvcslidermatrix.cpp b/ui/src/virtualconsole/addvcslidermatrix.cpp
index 63aa9dcce..cd80b3fe3 100644
--- a/ui/src/virtualconsole/addvcslidermatrix.cpp
+++ b/ui/src/virtualconsole/addvcslidermatrix.cpp
@@ -19,6 +19,7 @@
 
 #include <QSettings>
 #include <QSpinBox>
+#include <QAction>
 
 #include "addvcslidermatrix.h"
 #include "vcpropertieseditor.h"
diff --git a/ui/src/virtualconsole/vcbuttonproperties.cpp b/ui/src/virtualconsole/vcbuttonproperties.cpp
index ef0bb24ee..8e6dbde72 100644
--- a/ui/src/virtualconsole/vcbuttonproperties.cpp
+++ b/ui/src/virtualconsole/vcbuttonproperties.cpp
@@ -26,6 +26,7 @@
 #include <QLineEdit>
 #include <QCheckBox>
 #include <QSpinBox>
+#include <QAction>
 #include <qmath.h>
 
 #include "qlcinputchannel.h"
diff --git a/ui/src/virtualconsole/vccuelistproperties.cpp b/ui/src/virtualconsole/vccuelistproperties.cpp
index efcb4dae8..d3a1b9118 100644
--- a/ui/src/virtualconsole/vccuelistproperties.cpp
+++ b/ui/src/virtualconsole/vccuelistproperties.cpp
@@ -17,6 +17,8 @@
   limitations under the License.
 */
 
+#include <QAction>
+
 #include "vccuelistproperties.h"
 #include "inputselectionwidget.h"
 #include "functionselection.h"
diff --git a/ui/src/virtualconsole/vcpropertieseditor.cpp b/ui/src/virtualconsole/vcpropertieseditor.cpp
index 11ea5cd7b..d1080b06b 100644
--- a/ui/src/virtualconsole/vcpropertieseditor.cpp
+++ b/ui/src/virtualconsole/vcpropertieseditor.cpp
@@ -21,6 +21,7 @@
 #include <QSettings>
 #include <QCheckBox>
 #include <QSpinBox>
+#include <QAction>
 
 #include "qlcinputprofile.h"
 #include "qlcinputchannel.h"
diff --git a/ui/src/virtualconsole/vcsliderproperties.cpp b/ui/src/virtualconsole/vcsliderproperties.cpp
index ff55b71b8..01fd60e9a 100644
--- a/ui/src/virtualconsole/vcsliderproperties.cpp
+++ b/ui/src/virtualconsole/vcsliderproperties.cpp
@@ -28,6 +28,7 @@
 #include <QLineEdit>
 #include <QSpinBox>
 #include <QLabel>
+#include <QAction>
 
 #include "qlccapability.h"
 #include "qlcchannel.h"
diff --git a/ui/src/virtualconsole/vcxypadproperties.cpp b/ui/src/virtualconsole/vcxypadproperties.cpp
index ed7ba7f64..60be83c49 100644
--- a/ui/src/virtualconsole/vcxypadproperties.cpp
+++ b/ui/src/virtualconsole/vcxypadproperties.cpp
@@ -23,6 +23,7 @@
 #include <QHeaderView>
 #include <QSettings>
 #include <QDebug>
+#include <QAction>
 
 #include "qlcfixturemode.h"
 #include "qlcinputchannel.h"